Subject: Re: next-20150716 build: 4 failures 88 warnings (next-20150716)

From: Mark Brown <[email-masked]>
Date: Thu, 16 Jul 2015 15:01:46 +0100

On Thu, Jul 16, 2015 at 02:48:36PM +0100, Catalin Marinas wrote:
> On Thu, Jul 16, 2015 at 02:41:52PM +0100, Mark Brown wrote:

> > The update_mmu_cache() function is defined unconditionally in
> > asm/tlbflush.h so there is presumably some path of conditional
> > inclusions which causes it not to get declared in an allnoconfig - I
> > didn't chase that down yet.

> Maybe we should move it to asm/pgtable.h like many other architectures.

Seems likely to be more robust in future if we're consistent...